Bug 801250

Summary: Not localized at all
Product: [Fedora] Fedora Reporter: Noriko Mizumoto <noriko>
Component: kexec-toolsAssignee: Baoquan He <bhe>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: ankit, kraymond, nhorman, ruyang, xiyou.wangcong
Target Milestone: ---Keywords: Translation
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: F19L10nTestday
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 853298 (view as bug list) Environment:
Last Closed: 2015-02-17 09:09:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 853298    

Description Noriko Mizumoto 2012-03-07 22:31:44 EST
Description of problem:
It appears in English, not localized at all.
No translatable PO file available, no project exists in transifex.

Version-Release number of selected component (if applicable):
Composed on 2012-03-06 for f17 l10n qa test day
http://dl.fedoraproject.org/pub/alt/stage/f16-translation/Fedora-16-Nightly-20110828.10-x86_64-Live-desktop.iso

How reproducible:
always

Steps to Reproduce:
1. run kexec -h 
2.
3.
  
Actual results:
It appears in English, not localized at all.

Expected results:
It should appear in localized strings.
Please create project and provide PO files somewhere (e.g. transifex or zanata).

Additional info:
Comment 1 Américo Wang 2012-04-02 04:12:36 EDT
*** Bug 808419 has been marked as a duplicate of this bug. ***
Comment 2 Américo Wang 2012-04-02 04:14:34 EDT
Hi,

The i18n team maintained the po files for us, so we need to contact them for this.
Comment 3 Fedora Admin XMLRPC Client 2012-04-16 02:12:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Dave Young 2012-08-30 22:04:50 EDT
I have requested to create a translation project in zanata. Once the ticket get resolved I will upload the pot file there for translation
Comment 5 Noriko Mizumoto 2012-09-16 22:45:39 EDT
Ping Dave

Any luck on creating this project in zanata?
We are in the middle of software translation period, and it is highly appreciated if the POs become available for Fedora18.
Comment 6 Dave Young 2012-12-10 00:24:33 EST
Hello Noriko,
Finally I finished the zanata pusing, sorry for the long delay.
Here is the link:
https://translate.zanata.org/zanata/project/view/kexec-tools
Comment 7 Noriko Mizumoto 2012-12-20 03:44:49 EST
Thanks Dave,
Many languages now could update the files including eighteen languages 100% completed :-)
Comment 8 Dave Young 2012-12-20 20:50:59 EST
(In reply to comment #7)
> Thanks Dave,
> Many languages now could update the files including eighteen languages 100%
> completed :-)

Great!

Unfortunately reread the bug report, It's about "kexec -h", but what I did is the translation of firstboot module for kdump setup. For kexec itself, upstream kexec do not have any i18n/gettext code at all and there's a lot of work to do:

[dave@darkstar kexec-tools]$ grep printf * -RI|wc
    579    3768   45752

Let's firstly concerntrate on the firstboot module translation. Do you think it's really necessary for the cmdline translation? If it is let's make it a long term work, I need firstly talk with Simon, then maintainer of upstream kexec-tools.

Thanks
Dave
Comment 9 Dave Young 2012-12-20 21:14:16 EST
Another issue is we use domain "kexec-tools" for the firstboot module which is maintained directly in rpm source. It will conflict with the text domain name of upstream kexec-tools..
Comment 10 Fedora Admin XMLRPC Client 2013-02-25 03:05:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Noriko Mizumoto 2013-06-04 01:34:23 EDT
Hi

This bug still can be observed in f19, thus the version number has now been changed to F19.
Comment 12 Fedora End Of Life 2015-01-09 12:03:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 09:09:53 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.